fgl-5.4.2.4: Martin Erwig's Functional Graph Library

Safe Haskell | None

Data.Graph.Inductive.Query.BCC

Synopsis

- bcc :: DynGraph gr => gr a b -> [gr a b]

# Documentation

bcc :: DynGraph gr => gr a b -> [gr a b]Source

Finds the bi-connected components of an undirected connected graph. It first finds the articulation points of the graph. Then it disconnects the graph on each articulation point and computes the connected components.